Skip to main content
Search notices
curl --request GET \
  --url https://api.campflare.com/v2/notices/search
import requests

url = "https://api.campflare.com/v2/notices/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.campflare.com/v2/notices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "notices": [
    {
      "id": "<string>",
      "title": "<string>",
      "source": {
        "name": "<string>",
        "url": "<string>"
      },
      "description": "<string>",
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "geometry_summary": {
        "point": {
          "latitude": 123,
          "longitude": 123
        },
        "bbox": {
          "min_latitude": 123,
          "max_latitude": 123,
          "min_longitude": 123,
          "max_longitude": 123
        }
      },
      "target": {
        "id": "<string>"
      },
      "geometry": {}
    }
  ]
}
{
"error": {
"message": "<string>",
"kind": "<string>"
}
}
GET /notices/search
This endpoint only includes relevant notices. Notices will automatically expire when they are no longer relevant. Historical notices will be supported in a future version of this API.

Query Parameters

point
string

Latitude,Longitude (e.g. 37.74,-119.59). Returns notices whose geometry intersects this point. Mutually exclusive with bbox.

Pattern: ^-?\d+\.\d+,-?\d+\.\d+$
bbox
string

Bounding box in minLon,minLat,maxLon,maxLat order (WGS-84). Returns notices that intersect the box. Mutually exclusive with point.

Pattern: ^-?\d+\.\d+,-?\d+\.\d+,-?\d+\.\d+,-?\d+\.\d+$
kind
string

Comma-separated list of notice kinds to include (weather, fire, closure, safety, access).

severity
string

Comma-separated list of severities to include (info, minor, moderate, severe, extreme).

include_geometry
boolean
default:false

If true, embed full GeoJSON geometry in each notice. Defaults to false.

Response

Search response

notices
object[]
required